Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 25 Nov 2014, 20:43
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy 5.2.8 - Updated ISO Version 005 - APR 05 2012
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 100 of 190 Posts_count   Goto page: Previous 1, 2, 3, ..., 98, 99, 100, 101, 102, ..., 188, 189, 190 Next
Author Message
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Sat 07 Apr 2012, 12:05    Post_subject:  

Work in progress - associating doc-types with Libre Office programs and icons. This is mainly for Lupu Libre, but it should work if you have Libre Office 3.5+ installed in any Puppy--but if you are not using Lupu Libre you will have to download and install the Integrate_LibreOffice pet also in order to setup the desktop icons.

Download and install the doc-type-LibO-set.pet *and then Menu -> Shutdown -> Restart X server* to associate the icons and run actions for Libre Office. Please suggest additional doc-types if you see one missing or that should be there.

Writer: odt, ott, doc, docx, rtf
Calc: ods, ots, xls, xlsx, csv
Math/formula: odf
Impress: odp, otp, pps, ppt, pptx
Base: odb
Draw: odg, otg
doc-type-LibO-set-1.pet
Description 
pet

 Download 
Filename  doc-type-LibO-set-1.pet 
Filesize  12.19 KB 
Downloaded  191 Time(s) 
Integrate_LibreOffice-01.pet
Description 
pet

 Download 
Filename  Integrate_LibreOffice-01.pet 
Filesize  528 Bytes 
Downloaded  191 Time(s) 
doc-types-LibO.png
 Description   
 Filesize   66.99 KB
 Viewed   1383 Time(s)

doc-types-LibO.png


Edited_times_total
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1537
Location: Maine, USA

PostPosted: Sat 07 Apr 2012, 14:30    Post_subject: Broadcom proprietary driver update to use only wlan0
Sub_title: Requires both attached packages.
 

To address the issue of SNS getting confused by the use of both eth1 and wlan0 for Broadcom wifi, I have compiled the two (5.60 & 5.100) proprietary drivers so that they use wlan0. So, switching among driver versions should no longer impact SNS. And it avoids user confusion about the name differences.

I have packaged the fix as one for integration into all puppies and the other for just the 2 driver modules, which are built for each kernel. Be sure to install both packages.

Although I do not know the reason, note that the 5.100 version is 81 bytes larger than peebee's compilation of it. Since I do not have a wifi card that takes the proprietary driver, I need feedback from any of you who can test with these packages. Besides the recompilations with the name change, the script that magically causes the alternate driver to be chosen was changed to look for the "failure" message which should now contain the wlan name. Cowboy and anyone else who needs the older driver: Please verify that the older driver is activated if the newer one fails. Then, of course, try SNS and check whether the connection is restored after reboot.

Thanks for all of your patience while we try to get this right.

UPDATE 4/8/2012: Peebee pointed out that the new drivers may not be "picked up" if they are installed after the "update" package. Oops, I did not move the "depmod" command to the driver package in its own pinstall script.. After download number 7 of the driver package, I re-uploaded it with the added script. So, the order of installation is no longer a factor.
If you are not seeing the drivers work as expected, please run:
depmod
in a console window, to get them recognized.
Richard
broadcom-sta-5.100.82.112-6_5.60.48.36-3_k2.6.33.2.pet
Description  Two proprietary drivers
pet

 Download 
Filename  broadcom-sta-5.100.82.112-6_5.60.48.36-3_k2.6.33.2.pet 
Filesize  1.81 MB 
Downloaded  425 Time(s) 
lupuplus-528.001_arch_update-2.pet
Description  puppy infrastructure firmware tarballs for Broadcom wifi.
This can be installed into any lupu528 version, along with the driver package.
pet

 Download 
Filename  lupuplus-528.001_arch_update-2.pet 
Filesize  150.13 KB 
Downloaded  298 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
humblesoul

Joined: 06 Apr 2012
Posts: 32

PostPosted: Sat 07 Apr 2012, 18:11    Post_subject:  

Thank you! Have noticed some other files have been associated and iconified, for example in root, show hidden, .fonts.conf is now a grey libre icon as are both .jwmrc and .jwmrc-previous. Is this intentional?

Thought i spotted a few more on my travels but can't recall where.

Hope this helps.
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Sat 07 Apr 2012, 18:45    Post_subject:  

Quote:
Have noticed some other files have been associated and iconified, for example in root, show hidden, .fonts.conf is now a grey libre icon as are both .jwmrc and .jwmrc-previous. Is this intentional?

Good eye. Not intentional. They are the same as those "flat xml" files. I think it will be best to not iconify those. Thanks.

There is an improved doc-type-LibO-set-1.pet in the message above. If the previous doc-type-LibO-set pet is installed it should be uninstalled first and then Menu -> Shutdown -> Restart X Server.
Back to top
View user's profile Send_private_message 
humblesoul

Joined: 06 Apr 2012
Posts: 32

PostPosted: Sat 07 Apr 2012, 18:54    Post_subject:  

also, should i need to download jre if i am using google chrome? http://java.com/en/download/testjava.jsp says i haven't got it. have checked under the bonnet in chrome settings. all enabled.

tried quickpet install and ppm. both want to install java to mnt and advise against. tried anyway. then uninstalled via ppm.

thanks again.
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Sat 07 Apr 2012, 19:00    Post_subject:  

Quote:
should i need to download jre if i am using google chrome?

Neither Lucid Libre nor Google Chrome have jre by default. Libre Office wants java in order to do some things, but in this first version of Lupu Libre I didn't put it in, not sure if the functionality was worth the trouble.

I would recommend this java http://www.murga-linux.com/puppy/viewtopic.php?search_id=96706259&t=61287
Back to top
View user's profile Send_private_message 
humblesoul

Joined: 06 Apr 2012
Posts: 32

PostPosted: Sat 07 Apr 2012, 19:08    Post_subject:  

Thanks. Will try sfs.

Tried new icon fix and no change. Removed from ppm, restarted x, installed new pet, restarted x. Will try reboot when sfs is in.

Add: No change after reboot, icons remain. Tried sfs load on the fly with java and receive fatal: Failed to append '/initrd/pup_r04' to unionfs. Will try boot manager.
libre528icons.png
Description 
png

 Download 
Filename  libre528icons.png 
Filesize  498.76 KB 
Downloaded  205 Time(s) 
Back to top
View user's profile Send_private_message 
gcmartin

Joined: 14 Oct 2005
Posts: 4440
Location: Earth

PostPosted: Sat 07 Apr 2012, 19:47    Post_subject:  

playdayz wrote:
... Neither Lucid Libre nor Google Chrome have jre by default. Libre Office wants java in order to do some things, but in this first version of Lupu Libre I didn't put it in, not sure if the functionality was worth the trouble. ...
Yes, I know about the use in Libre office for its database services. And there are other uses as well. As well as some Internet uses as well.

I am aware of Shino's offering too. But, I am torn between using PETs in the Live media since (since 2008) or to use the recent actions of SFSs to meet Puppy needs.

Even though it is not official, I have used 1.70-i586 with success on your 3HD. I was looking for an official take of a cross-the-board Lucid version for JRE (JAVA).

Thanks
Thanks.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send_private_message 
majorfoo

Joined: 07 Mar 2011
Posts: 445
Location: Wish I knew

PostPosted: Sat 07 Apr 2012, 20:39    Post_subject:  

playdayz wrote:


Lupu 528.005 -> http://diddywahdiddy.net/Puppy500/lupu-528.005.iso
8ad170c46b523436776398fa5ce39fa4
LupuLibre 528.005-1 with LibO 3.5.2 -> http://diddywahdiddy.net/Puppy500/lupulibre-528.005-1.iso
9f1154bdeccdd49b7db66a1afb9fa902



D/L above and did full installs on each one.

Everything that I have tried works out of box. Added several pets from my save partition and still no problems.

Like the energizer bunny, the lucid/lupu series just keeps on keeping on.

Thanks for your dedication to the lucid/lupu series.
Back to top
View user's profile Send_private_message 
futwerk

Joined: 07 May 2011
Posts: 263

PostPosted: Sat 07 Apr 2012, 21:51    Post_subject:  

a few lucid + backgrounds.
pupse26,1v.png
 Description   http://www.mediafire.com/?7v1msw26s6chb
 Filesize   181.7 KB
 Viewed   1617 Time(s)

pupse26,1v.png

pupse26,1sx.png
 Description   http://www.mediafire.com/?7v1msw26s6chb
 Filesize   50.75 KB
 Viewed   1560 Time(s)

pupse26,1sx.png

pupse26,1cx.png
 Description   http://www.mediafire.com/?7v1msw26s6chb
 Filesize   187.88 KB
 Viewed   1577 Time(s)

pupse26,1cx.png

Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Sun 08 Apr 2012, 10:29    Post_subject:  

Quote:
a few lucid + backgrounds.

Very nice futwerk. My favorite is the third one (1cx). Thanks.

There will be updates to both Lucid Plus and there will be a new Lucid Plus Libre. Is there any chance of getting another version of 1cx with Lucid + Libre on it? That would make it easy for users to know exactly where they are.

-----------------------------------------------------------------------------------------------

Audacious 3.2.2 Audio Player
All plugins including Bauer stereo to binaural

http://diddywahdiddy.net/Puppy500/audacious-3.2.2.pet

Edited_time_total
Back to top
View user's profile Send_private_message 
majorfoo

Joined: 07 Mar 2011
Posts: 445
Location: Wish I knew

PostPosted: Sun 08 Apr 2012, 11:55    Post_subject:  

playdayz wrote:


Audacious 3.2.2 Audio Player
All plugins including Bauer stereo to binaural

http://diddywahdiddy.net/Puppy500/audacious-3.2.2.pet


Just curious about pause feature when using space bar.

Works great if Audacious is open on screen, however, if I minimize it, then the pause feature does not work.. Can this be changed so it works when minimized?
Back to top
View user's profile Send_private_message 
kevin bowers

Joined: 20 Dec 2009
Posts: 143

PostPosted: Sun 08 Apr 2012, 12:02    Post_subject:  

playdayz wrote:

Audacious 3.2.2 Audio Player
All plugins including Bauer stereo to binaural

http://diddywahdiddy.net/Puppy500/audacious-3.2.2.pet


Noticed an oddity, don't think it's a problem but...in the open-or-save dialog box, Lupu528.004 offered to open with PupZip(default) rather than PPM. Huh? I didn't think PupZip could handle .pets.

Edit: sure enough, if I tell it to open with PupZip, PupZip opens and creates a new .tar.gz file and fills it with "/tmp/audacious-3.2.2.pet". Not a problem for me as I routinely save .pets and install from HD, but a newbie might get confused (OK, I am confused too, but I'll live through it).

Why are .pets associated with PupZip rather than PPM, and more to the point, has this been corrected in 528.005? Or am I the only one with this anomaly? Right now I can't test on any other machines.
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Sun 08 Apr 2012, 13:05    Post_subject:  

Quote:
Noticed an oddity, don't think it's a problem but...in the open-or-save dialog box, Lupu528.004 offered to open with PupZip(default) rather than PPM. Huh? I didn't think PupZip could handle .pets
.
I think that might be the browser deciding which programs to open with, possibly based on the fact that pets are compressed. In Chrome, the pet just downloads, and then when I click the pet to install it, it opens with petget and installs correctly.

Quote:
space bar. Works great if Audacious is open on screen, however, if I minimize it, then the pause feature does not work.. Can this be changed so it works when minimized?

Yes, I wouldn't be able to do anything about that--it is part of the way they wrote it. They do have the global hot keys, but in my experience that steals the space bar from whatever you really want it to do.
Back to top
View user's profile Send_private_message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 434
Location: Philadelphia, PA

PostPosted: Sun 08 Apr 2012, 13:18    Post_subject: Open vs Save .pet files  

playdayz wrote:
Quote:
Noticed an oddity, don't think it's a problem but...in the open-or-save dialog box, Lupu528.004 offered to open with PupZip(default) rather than PPM. Huh? I didn't think PupZip could handle .pets
.
I think that might be the browser deciding which programs to open with, possibly based on the fact that pets are compressed. In Chrome, the pet just downloads, and then when I click the pet to install it, it opens with petget and installs correctly.

When I download a .pet with Opera, I save it to a directory, and then click it in ROX-filer.
I guess that's why I hadn't seen that problem.

Thanks,

Sheldon
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 100 of 190 Posts_count   Goto page: Previous 1, 2, 3, ..., 98, 99, 100, 101, 102, ..., 188, 189, 190 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1387s ][ Queries: 13 (0.0434s) ][ GZIP on ]